import { routerRedux } from 'dva/router';
import * as wareHouse from '../../services/FM/wareHouse';

export default {
 
  namespace: 'FMWareHouse',
  state: {
  },

  subscriptions: {
    setup({ dispatch, history }) {  // eslint-disable-line

    },
  },

  effects: {
    *OrderEntities ({ payload,onComplete }, { call, put }) {
      const ret = yield call(wareHouse.OrderEntities, payload);
      if (typeof onComplete === 'function') {
        onComplete(ret)
      }
    }
  },

  reducers: {
    save(state, action) {
      return { ...state, ...action.payload };
    },
  },

};
